var cccxStr='';
function excelExport(){
	if(cccxStr==''){
		alert("没有需要导出的数据");
		return;
	}
	$("#cccx_form").attr('action','/claimserver/bpoInterface/excelExportCccx.do');
	$("#cccx_form").submit();	
}
var claimSource="";
function selSource(obj){
	claimSource=obj.id;
}

function queryInfo(){
	$("#cccx_result").html("");
	var flg1=false;
	if(claimSource!=""){
		flg1=true;
	}
	var isBpo = "";
	var noBpo = "";
	var flg2=false;
	var isBpoaa=document.getElementById("isBpo").className;
	var noBpoaa=document.getElementById("noBpo").className;
	if(isBpoaa=="check_yes"){
		isBpo = "01";
	}
	if(noBpoaa=="check_yes"){
		noBpo = "02";
	}
	if(isBpoaa=="check_yes" || noBpoaa=="check_yes"){
		flg2=true;
	}
	//验证日期
	var fDate="";
	var lDate="";
	var flg3=false;
	fDate=$("#firstDate").val();
	lDate=$("#lastDate").val();
	if(fDate!="" && lDate!=""){
		flg3=true;
	}
	if((fDate=="" && lDate!="") || (fDate!="" && lDate=="")){
		alert("请输入完整日期区间!");
		return;
	}
	var fd=fDate.replace("-", "");
	var ld=lDate.replace("-", "");
	if(fd>ld){
		alert("起始日期不能晚于终止日期");
		return;
	}
	var fds1=fDate.split("-");
	var fds2=lDate.split("-");
	var year=fds2[0]-fds1[0];
	var month=fds2[1]-fds1[1];
	var day=fds2[2]-fds1[2];
	if(year>1){
		alert("日期区间最长一个季度");
		return;
	}else if(year==1){
		
		if(month>3){
			alert("日期区间最长一个季度");
			return;
		}else if(month=0){
//			var p1=parseInt(fds2[1]);
//			if(p1+12-fds1[1]>3){
//				alert("日期区间最长一个季度");
//				return;
//			}else if(p1+12-fds1[1]==3){
//				var p2=parseInt(fds2[2]);
//				if(30-fds1[2]+60+p2>90){
//					alert("日期区间最长一个季度");
//					return;
//				}
//			}
			if(day>0){
				alert("日期区间最长一个季度");
				return;
				}
			
		}
		
	}else if(year==0){
		if(month>3){
			alert("日期区间最长一个季度");
			return;
		}else if(month==3){
//			var day=parseInt(fds2[2]);
//			if(30-fds1[2]+60+day>90){
//				alert("日期区间最长一个季度");
//				return;
//			}
//		}
			if(day>0){
				alert("日期区间最长一个季度");
				return;
				}
	}
	}
	if(flg1==false && flg2==false && flg3==false){
		alert("三种查询条件必需选一个");
		return;
	}
	cccxStr='';
	$.ajax({
		type : "POST",
		url : "/claimserver/bpoInterface/queryBpoInterfaceCccx.do",
		data : {
			"isBpo" : isBpo,
			"noBpo" : noBpo,
			"claimSource" : claimSource,
			"firstDate" : fDate,
			"lastDate" : lDate
		},
		error : function() {
			alert("查询数据失败");
		},
		success : function(data) {
			if (data == "") {
				alert("无返回数据");
			}
			for ( var i = 0; i < data.length; i++) {
				$("#cccx_result").append(
						"<tr><td>"
							+ data[i].batchNo + "<input type='hidden' name='batchNo' value='"+data[i].batchNo+"' /></td><td>"
							+ data[i].allClaimCount + "</td><td>"
							+ data[i].missClaimCount + "</td><td>"
							+ data[i].missPercent + "</td><td>");
				cccxStr+='{"batchNo":"'+data[i].batchNo+'",'
			    +'"allClaimCount":"'+data[i].allClaimCount+'",'
			    +'"missClaimCount":"'+data[i].missClaimCount+'",'
			    +'"missPercent":"'+data[i].missPercent+'"},';
			}
			if(cccxStr!=''){
				cccxStr ="["+cccxStr.substring(0,cccxStr.length-1)+"]";
			}
			$("#cccxStr").val(cccxStr);
		}
	});

}